Imagick::setImageOpacity
Imagick::setImagePage
Imagick
PHP Manual

# Imagick::setImageOrientation

(PECL imagick 2.0.0)

Imagick::setImageOrientation — Sets the image orientation

### Description

bool Imagick::setImageOrientation ( int `$orientation` )

Sets the image orientation.

### Parameters

`orientation`

  One of the orientation constants

### Return Values

Returns `TRUE` on success.

### Examples

Example #1 Imagick::setImageOrientation()

`<?php
//Doesn't appear to do anything
function setImageOrientation($imagePath, $orientationType) {
$imagick = new \Imagick(realpath($imagePath));
$imagick->setImageOrientation($orientationType);
header("Content-Type: image/jpg");
echo $imagick->getImageBlob();
}
?>`

Imagick::setImageOpacity
Imagick::setImagePage
Imagick
PHP Manual